読者です 読者をやめる 読者になる 読者になる

WildFly 8.2.1.Final の patch が適用出来ない場合がある‏

WildFly 9.0.1.Final/8.2.1.Final が出ました。
WildFly 9.0.1.Final and 8.2.1.Final are released. · WildFly

8.2.1.Final は patch が提供されています。
Downloads · WildFly
8.2.1 の patch は 8.2.0.Final に対して適用出来ます。

8.2.0.Final を download して、patch は適用出来ました。
が、8.1.0.Final に 8.2.0.Final の patch を適用した 8.2.0.Final に対しては、8.2.1.Final の patch を適用出来ませんでした。

[disconnected /] patch apply ../wildfly-8.2.1.Final.patch
JBAS016849: Patch 'base-8.2.0.Final-patch' already applied

8.2.0.Final の patch が適用されてるからダメみたいなエラーメッセージが出ます。
patch rollback で戻すと 8.1.0.Final になってしまうので、8.2.1.Final の patch は適用出来ません。

[disconnected /] patch rollback --reset-configuration=true
{
    "outcome" : "success",
    "result" : {}
}
[disconnected /]
[disconnected /] patch apply ../wildfly-8.2.1.Final.patch
JBAS016840: Patch does not apply - expected (8.2.0.Final), but was (8.1.0.Final)
[disconnected /]

8.1 以前から使ってる人は、patch を適用せずに 8.2.1 を直接ダウンロードして立て直ししか無いのかな?
ちなみに 8.0.0 => 8.1.0 => 8.2.0 は patch で全部上げれました。